cwlVersion: v1.2
class: Workflow

inputs:
  message:
    type: string

outputs:
  output_message:
    type: File
    outputSource: echo_step/output_message
  length_message:
    type: File
    outputSource: length_step/length_output

steps:
  echo_step:
    run: echo_tool.cwl
    in:
      message: message
    out: [output_message]

  length_step:
    run: length_tool.cwl
    in:
      input_file: echo_step/output_message
    out: [length_output]